Skip to content Kleinanzeigen Public API Gateway Documentation
PUT
/v1/listings/{uuid}/publications/{publicationUuid}/state
curl --request PUT \
--url 'https://developer.kleinanzeigen.de/api/goods/v1/listings/123e4567-e89b-12d3-a456-426614174000/publications/789e4567-e89b-12d3-a456-426614174999/state?requestedState=PAUSED' \
--header 'HttpHeaders.AUTHORIZATION: eyJhbGciOiJIUzI1NiIsInR5...'
uuid
required
string
Example
123e4567-e89b-12d3-a456-426614174000
publicationUuid
required
string
Example
789e4567-e89b-12d3-a456-426614174999
requestedState
required
string
Allowed values: PAUSED RESUMED
Example
PAUSED
HttpHeaders.AUTHORIZATION
required

No Content

Bad Request - Validation or Logic Error

Media type application/json
Examples

ID Mismatch

{
"status": 400,
"title": "BAD_REQUEST",
"detail": "Publication 789e4567-e89b-12d3-a456-426614174999 does not belong to the Listing 123e4567-e89b-12d3-a456-426614174000.",
"instance": "/api/v1/listings/123e4567-e89b-12d3-a456-426614174000/publications/789e4567-e89b-12d3-a456-426614174999"
}

Publication Not Found

Media type application/json
Examples
Example Publication Not Found

Publication Not Found

{
"status": 404,
"title": "NOT_FOUND",
"detail": "Publication 789e4567-e89b-12d3-a456-426614174999 not found",
"instance": "/api/v1/listings/123e4567-e89b-12d3-a456-426614174000/publications/789e4567-e89b-12d3-a456-426614174999?requestedState=PAUSED"
}